Public Member Functions | Data Fields

# LangString Struct Reference

Information about a single string. More...

`#include <strgen.h>`

## Public Member Functions
| LangString (const char *name, const char *english, int index, int line)
| Create a new string.
| ~LangString ()
| Free everything we allocated.
void | FreeTranslation ()
| Free all data related to the translation.
## Data Fields
char * | name
| Name of the string.
char * | english
| English text.
char * | translated
| Translated text.
uint16 | hash_next
| Next hash entry.
uint16 | index
| The index in the language file.
int | line
| Line of string in source-file.
Case * | translated_case
| Cases of the translation.

## Detailed Description

Information about a single string.

Definition at line 28 of file strgen.h.

## Constructor & Destructor Documentation

LangString::LangString | ( | const char * | name,
|  | const char * | english,
|  | int | index,
|  | int | line |
| ) |  |  |

Create a new string.

Parameters:

  | name | The name of the string.
  | english | The english "translation" of the string.
  | index | The index in the string table.
  | line | The line this string was found on.

Definition at line 59 of file strgen_base.cpp.

LangString::~LangString | ( |  | ) |

Free everything we allocated.

Definition at line 66 of file strgen_base.cpp.

References english, free(), name, translated, and translated_case.

## Member Function Documentation

void LangString::FreeTranslation | ( |  | ) |

Free all data related to the translation.

Definition at line 75 of file strgen_base.cpp.

References free(), translated, and translated_case.

Referenced by StringData::FreeTranslation().

The documentation for this struct was generated from the following files:

- src/strgen/strgen.h
- src/strgen/strgen_base.cpp